#!/bin/sh

JAVA_HOME=/usr/lib/jdk1.1.8
export JAVA_HOME
PATH=$JAVA_HOME/bin:$PATH
export PATH
CLASSPATH=.:$JAVA_HOME/lib/classes.zip
export CLASSPATH

prefix=
 ./table.sh Default          DEFAULT            $prefix
 ./table.sh ASCII            ASCII              $prefix
 ./table.sh ISO8859_1        ISO-8859-1         $prefix
 ./table.sh ISO8859_2        ISO-8859-2         $prefix
 ./table.sh ISO8859_3        ISO-8859-3         $prefix
 ./table.sh ISO8859_4        ISO-8859-4         $prefix
 ./table.sh ISO8859_5        ISO-8859-5         $prefix
 ./table.sh ISO8859_6        ISO-8859-6         $prefix
 ./table.sh ISO8859_7        ISO-8859-7         $prefix
 ./table.sh ISO8859_8        ISO-8859-8         $prefix
 ./table.sh ISO8859_9        ISO-8859-9         $prefix
 ./table.sh ISO8859_15_FDIS  ISO-8859-15        $prefix
 ./table.sh MacArabic        MAC-ARABIC         $prefix
 ./table.sh MacCentralEurope MAC-CENTRAL-EUROPE $prefix
 ./table.sh MacCroatian      MAC-CROATIAN       $prefix
 ./table.sh MacCyrillic      MAC-CYRILLIC       $prefix
 ./table.sh MacDingbat       MAC-DINGBAT        $prefix
 ./table.sh MacGreek         MAC-GREEK          $prefix
 ./table.sh MacHebrew        MAC-HEBREW         $prefix
 ./table.sh MacIceland       MAC-ICELAND        $prefix
 ./table.sh MacRoman         MAC-ROMAN          $prefix
 ./table.sh MacRomania       MAC-ROMANIA        $prefix
 ./table.sh MacSymbol        MAC-SYMBOL         $prefix
 ./table.sh MacThai          MAC-THAI           $prefix
 ./table.sh MacTurkish       MAC-TURKISH        $prefix
 ./table.sh MacUkraine       MAC-UKRAINE        $prefix
 ./table.sh Cp037            CP037              $prefix
 ./table.sh Cp273            CP273              $prefix
 ./table.sh Cp277            CP277              $prefix
 ./table.sh Cp278            CP278              $prefix
 ./table.sh Cp280            CP280              $prefix
 ./table.sh Cp284            CP284              $prefix
 ./table.sh Cp285            CP285              $prefix
 ./table.sh Cp297            CP297              $prefix
 ./table.sh Cp420            CP420              $prefix
 ./table.sh Cp424            CP424              $prefix
 ./table.sh Cp437            CP437              $prefix
 ./table.sh Cp500            CP500              $prefix
 ./table.sh Cp737            CP737              $prefix
 ./table.sh Cp775            CP775              $prefix
 ./table.sh Cp838            CP838              $prefix
 ./table.sh Cp850            CP850              $prefix
 ./table.sh Cp852            CP852              $prefix
 ./table.sh Cp855            CP855              $prefix
 ./table.sh Cp856            CP856              $prefix
 ./table.sh Cp857            CP857              $prefix
 ./table.sh Cp858            CP858              $prefix
 ./table.sh Cp860            CP860              $prefix
 ./table.sh Cp861            CP861              $prefix
 ./table.sh Cp862            CP862              $prefix
 ./table.sh Cp863            CP863              $prefix
 ./table.sh Cp864            CP864              $prefix
 ./table.sh Cp865            CP865              $prefix
 ./table.sh Cp866            CP866              $prefix
 ./table.sh Cp868            CP868              $prefix
 ./table.sh Cp869            CP869              $prefix
 ./table.sh Cp870            CP870              $prefix
 ./table.sh Cp871            CP871              $prefix
 ./table.sh Cp874            CP874              $prefix
 ./table.sh Cp875            CP875              $prefix
 ./table.sh Cp918            CP918              $prefix
 ./table.sh Cp921            CP921              $prefix
 ./table.sh Cp922            CP922              $prefix
 ./table.sh Cp923            CP923              $prefix
#./table.sh Cp930            CP930              $prefix # InternalError
#./table.sh Cp933            CP933              $prefix # InternalError
#./table.sh Cp935            CP935              $prefix # InternalError
#./table.sh Cp937            CP937              $prefix # InternalError
#./table.sh Cp939            CP939              $prefix # InternalError
 ./table.sh Cp942            CP942              $prefix
 ./table.sh Cp942C           CP942C             $prefix
 ./table.sh Cp943            CP943              $prefix
 ./table.sh Cp943C           CP943C             $prefix
 ./table.sh Cp948            CP948              $prefix
 ./table.sh Cp949            CP949              $prefix
 ./table.sh Cp949C           CP949C             $prefix
 ./table.sh Cp950            CP950              $prefix
 ./table.sh Cp964            CP964              $prefix # takes very long
 ./table.sh Cp970            CP970              $prefix # takes very long
 ./table.sh Cp1006           CP1006             $prefix
 ./table.sh Cp1025           CP1025             $prefix
 ./table.sh Cp1026           CP1026             $prefix
 ./table.sh Cp1046           CP1046             $prefix
 ./table.sh Cp1097           CP1097             $prefix
 ./table.sh Cp1098           CP1098             $prefix
 ./table.sh Cp1112           CP1112             $prefix
 ./table.sh Cp1122           CP1122             $prefix
 ./table.sh Cp1123           CP1123             $prefix
 ./table.sh Cp1124           CP1124             $prefix
 ./table.sh Cp1140           CP1140             $prefix
 ./table.sh Cp1141           CP1141             $prefix
 ./table.sh Cp1142           CP1142             $prefix
 ./table.sh Cp1143           CP1143             $prefix
 ./table.sh Cp1144           CP1144             $prefix
 ./table.sh Cp1145           CP1145             $prefix
 ./table.sh Cp1146           CP1146             $prefix
 ./table.sh Cp1147           CP1147             $prefix
 ./table.sh Cp1148           CP1148             $prefix
 ./table.sh Cp1149           CP1149             $prefix
 ./table.sh Cp1250           CP1250             $prefix
 ./table.sh Cp1251           CP1251             $prefix
 ./table.sh Cp1252           CP1252             $prefix
 ./table.sh Cp1253           CP1253             $prefix
 ./table.sh Cp1254           CP1254             $prefix
 ./table.sh Cp1255           CP1255             $prefix
 ./table.sh Cp1256           CP1256             $prefix
 ./table.sh Cp1257           CP1257             $prefix
 ./table.sh Cp1258           CP1258             $prefix
 ./table.sh Cp1381           CP1381             $prefix
 ./table.sh Cp1383           CP1383             $prefix # takes very long
 ./table.sh Cp33722          CP33722            $prefix # takes very long
 ./table.sh MS874            MS874              $prefix
 ./table.sh MS932            MS932              $prefix
#./table.sh MS936            MS936              $prefix # StringIndexOutOfBoundsException
 ./table.sh MS949            MS949              $prefix
#./table.sh MS950            MS950              $prefix # StringIndexOutOfBoundsException
 ./table.sh KOI8_R           KOI8-R             $prefix
 ./table.sh TIS620           TIS620             $prefix
 ./table.sh JIS0201          JIS0201            $prefix
 ./table.sh JIS0208          JIS0208            $prefix # "to" direction missing
 ./table.sh JIS0212          JIS0212            $prefix
 ./table.sh EUC_JP           EUC-JP             $prefix
#./table.sh SJIS             SJIS               $prefix # ArrayIndexOutOfBoundsException
 ./table.sh EUC_CN           EUC-CN             $prefix
 ./table.sh GBK              GBK                $prefix
 ./table.sh EUC_TW           EUC-TW             $prefix # takes very long
 ./table.sh Big5             BIG5               $prefix
 ./table.sh EUC_KR           EUC-KR             $prefix
 ./table.sh Johab            JOHAB              $prefix
# Other in both directions:
#  Unicode
#  UnicodeBig
#  UnicodeLittle
#  UTF8
#  ISO2022JP
#  ISO2022KR
# Other in CharToByte direction only:
#  UnicodeBigUnmarked
#  UnicodeLittleUnmarked
#  ISO2022CN_GB
#  ISO2022CN_CNS
# Other in ByteToChar direction only:
#  ISO2022CN
#  JISAutoDetect
