#!/bin/sh
# Produce individual character set conversion tables from UNIHAN.TXT.

# Same as old table.
grep '^U.*kBigFive	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kBigFive	\(....\)$,0x\2	0x\1,' | sort > UNIHAN-BIG5.TXT

# Same as old table.
grep '^U.*kCCCII	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kCCCII	\(......\)$,0x\2	0x\1,' | sort > UNIHAN-CCCII.TXT

grep '^U.*kCNS1986	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kCNS1986	\(.\)-\(....\)$,0x\2\3	0x\1,' | sort > UNIHAN-CNS116431986.TXT

grep '^U.*kCNS1992	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kCNS1992	\(.\)-\(....\)$,0x\2\3	0x\1,' | sort > UNIHAN-CNS116431992.TXT 

grep '^U.*kIRG_TSource	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kIRG_TSource	\(.\)-\(....\)$,0x\2\3	0x\1,' | sort > UNIHAN-CNS11643-IRG.TXT 

# Same as old table.
grep '^U.*kGB0	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kGB0	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-GB2312.TXT
# Identical to UNIHAN-GB2312.TXT
#grep '^U.*kIRG_GSource	0-' UNIHAN.TXT | sed -e 's,^U+\(....\)	kIRG_GSource	0-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB2312-IRG.TXT 

# Same as old table.
grep '^U.*kGB1	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kGB1	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-GB12345.TXT

grep '^U.*kIRG_GSource	1-' UNIHAN.TXT | sed -e 's,^U+\(....\)	kIRG_GSource	1-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB12345-IRG.TXT 

# Same as old table.
grep '^U.*kGB8	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kGB8	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-GB8565.TXT

grep '^U.*kIRG_GSource	8-' UNIHAN.TXT | sed -e 's,^U+\(....\)	kIRG_GSource	8-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB8565-IRG.TXT 

# Same as old table.
grep '^U.*kJis0	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kJis0	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-JISX0208.TXT
# Identical to UNIHAN-JISX0208.TXT
#grep '^U.*kIRG_JSource	0-' UNIHAN.TXT | sed -e 's,^U+\(....\)	kIRG_JSource	0-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-JISX0208-IRG.TXT 

# Same as old table.
grep '^U.*kJis1	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kJis1	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-JISX0212.TXT
# Identical to UNIHAN-JISX0212.TXT
#grep '^U.*kIRG_JSource	1-' UNIHAN.TXT | sed -e 's,^U+\(....\)	kIRG_JSource	1-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-JISX0212-IRG.TXT 

# Same as old table.
grep '^U.*kKSC0	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kKSC0	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-KSX1001.TXT

grep '^U.*kIRG_KSource	0-' UNIHAN.TXT | sed -e 's,^U+\(....\)	kIRG_KSource	0-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-KSX1001-IRG.TXT 

# Same as old table.
grep '^U.*kKSC1	' UNIHAN.TXT | sed -e 's,^U+\(....\)	kKSC1	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-KSX1002.TXT

grep '^U.*kIRG_KSource	1-' UNIHAN.TXT | sed -e 's,^U+\(....\)	kIRG_KSource	1-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-KSX1002-IRG.TXT 
