#!/bin/sh
# Produce individual character set conversion tables from UNIHAN.TXT.

# To speed up 'grep' and 'sed'.
LANG=C
export LANG

# ===================== CHINESE (Red China) =====================

# Same as old table.
grep '^U.*kGB0	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kGB0	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-GB2312.TXT
# Identical to UNIHAN-GB2312.TXT
#grep '^U.*kIRG_GSource	0-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_GSource	0-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB2312-IRG.TXT

# Same as old table.
grep '^U.*kGB1	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kGB1	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-GB12345.TXT

grep '^U.*kIRG_GSource	1-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_GSource	1-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB12345-IRG.TXT

grep '^U.*kGB3	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kGB3	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-GB7589.TXT

grep '^U.*kIRG_GSource	3-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_GSource	3-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB7589-IRG.TXT

grep '^U.*kGB5	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kGB5	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-GB7590.TXT

grep '^U.*kIRG_GSource	5-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_GSource	5-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB7590-IRG.TXT

grep '^U.*kGB7	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kGB7	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-GB7.TXT

grep '^U.*kIRG_GSource	7-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_GSource	7-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB7-IRG.TXT

# Same as old table.
grep '^U.*kGB8	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kGB8	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-GB8565.TXT

grep '^U.*kIRG_GSource	8-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_GSource	8-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB8565-IRG.TXT

grep '^U.*kIRG_GSource	E-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_GSource	E-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-GB16500-IRG.TXT

grep '^U.*kIRG_GSource	S-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_GSource	S-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-SINGAPORE.TXT

# ===================== CHINESE (Taiwan) =====================

# Same as old table.
grep '^U.*kBigFive	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kBigFive	\(....\)$,0x\2	0x\1,' | sort > UNIHAN-BIG5.TXT

# Same as old table.
grep '^U.*kCCCII	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kCCCII	\(......\)$,0x\2	0x\1,' | sort > UNIHAN-CCCII.TXT

grep '^U.*kCNS1986	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kCNS1986	\(.\)-\(....\)$,0x\2\3	0x\1,' | sort > UNIHAN-CNS116431986.TXT

grep '^U.*kCNS1992	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kCNS1992	\(.\)-\(....\)$,0x\2\3	0x\1,' | sort > UNIHAN-CNS116431992.TXT

grep '^U.*kIRG_TSource	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_TSource	\(.\)-\(....\)$,0x\2\3	0x\1,' | sort > UNIHAN-CNS11643-IRG.TXT

# ===================== CHINESE (Hongkong) =====================

grep '^U.*kIRG_HSource	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_HSource	\(....\)$,0x\2	0x\1,' | sort > UNIHAN-HKSCS-IRG.TXT

# ===================== JAPANESE =====================

# Same as old table.
grep '^U.*kJis0	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kJis0	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-JISX0208.TXT
# Identical to UNIHAN-JISX0208.TXT
#grep '^U.*kIRG_JSource	0-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_JSource	0-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-JISX0208-IRG.TXT

# Same as old table.
grep '^U.*kJis1	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kJis1	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-JISX0212.TXT
# Identical to UNIHAN-JISX0212.TXT
#grep '^U.*kIRG_JSource	1-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_JSource	1-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-JISX0212-IRG.TXT

grep '^U.*kIRG_JSource	3-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_JSource	3-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-JISX0213A-IRG.TXT

grep '^U.*kIRG_JSource	4-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_JSource	4-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-JISX0213B-IRG.TXT

# ===================== KOREAN =====================

# Same as old table.
grep '^U.*kKSC0	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kKSC0	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-KSX1001.TXT

grep '^U.*kIRG_KSource	0-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_KSource	0-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-KSX1001-IRG.TXT

# Same as old table.
grep '^U.*kKSC1	' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kKSC1	\(....\)$,0x\2	0x\1,' | sort | ../../kuten2table > UNIHAN-KSX1002.TXT

grep '^U.*kIRG_KSource	1-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_KSource	1-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-KSX1002-IRG.TXT

grep '^U.*kIRG_KSource	2-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_KSource	2-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-PKS5700-1.TXT

grep '^U.*kIRG_KSource	3-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_KSource	3-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-PKS5700-2.TXT

grep '^U.*kIRG_KSource	4-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_KSource	4-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-PKS5700-3.TXT

# ===================== VIETNAMESE =====================

grep '^U.*kIRG_VSource	0-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_VSource	0-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-TCVN5773.TXT

grep '^U.*kIRG_VSource	2-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_VSource	2-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-VHN02.TXT

grep '^U.*kIRG_VSource	3-' UNIHAN.TXT | sed -e 's,^U+\([0-9A-F][0-9A-F][0-9A-F][0-9A-F][0-9A-F]*\)	kIRG_VSource	3-\(....\)$,0x\2	0x\1,' | sort > UNIHAN-TCVN6056.TXT

